# std::ranges::stride_view<V>::iterator<Const>::base

From cppreference.com
< cpp‎ | ranges‎ | stride view‎ | iterator

constexpr ranges::iterator_t <Base> base() &&; | (1) | (since C++23)
constexpr const ranges::iterator_t <Base>& base() const& noexcept; | (2) | (since C++23)

Returns the underlying iterator. Let `current_` be the underlying iterator.

1) Equivalent to: return std::move(current_);.
2) Equivalent to: return current_;.

### Parameters

(none)

### Example

| This section is incomplete Reason: no example

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/ranges/stride_view/iterator/base&oldid=151203"